rtapi_outb(3rtapi)

NAME

rtapi_outb, rtapi_inb - Perform hardware I/O

SYNTAX

void rtapi_outb(unsigned char byte, unsigned int port)

unsigned char rtapi_inb(unsigned int port)

ARGUMENTS

port
    The address of the I/O port

byte
    The byte to be written to the port

DESCRIPTION
rtapi_outb writes a byte to a hardware I/O port. rtapi_inb reads a byte from a hardware I/O port.

REALTIME CONSIDERATIONS
May be called from init/cleanup code and from within realtime tasks. Not available in non-realtime components.

RETURN VALUE
rtapi_inb returns the byte read from the given I/O port

NOTES
The I/O address should be within a region previously allocated by rtapi_request_region. Otherwise, another real-time module or the Linux kernel might attempt to access the I/O region at the same time.

SEE ALSO
rtapi_region(3rtapi)